﻿using Syncfusion.DataSource.Extensions;
using Syncfusion.ListView.XForms;
using Syncfusion.ListView.XForms.Control.Helpers;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SfListViewSample
{
    public class Behavior : Behavior<SfListView>
    {
        SfListView ListView;
        protected override void OnAttachedTo(SfListView bindable)
        {
            ListView = bindable;
            ListView.DataSource.SortDescriptors.Add(new Syncfusion.DataSource.SortDescriptor()
            {
                PropertyName= "ContactName",
                Direction=Syncfusion.DataSource.ListSortDirection.Descending
            });
            base.OnAttachedTo(bindable);
        }
    }

}
